/**
 * WooCommerce Google Analytics Pro Admin scripts
 *
 * @since 1.0.0
 */

(function() {
  jQuery(document).ready(function($) {
    "use strict";
    var google_auth_window;
    google_auth_window = null;
    if ($('#woocommerce_google_analytics_pro_use_manual_tracking_id').is(':checked')) {
      $('#woocommerce_google_analytics_pro_oauth_button').prop('disabled', true);
      $('#woocommerce_google_analytics_pro_property').prop('disabled', true);
    } else {
      $('#woocommerce_google_analytics_pro_tracking_id').closest('tr').hide();
    }
    $('.js-wc-google-analytics-toggle-manual-tracking-id').click(function() {
      if ($(this).is(':checked')) {
        $('#woocommerce_google_analytics_pro_tracking_id').closest('tr').show();
        $('#woocommerce_google_analytics_pro_oauth_button').prop('disabled', true);
        return $('#woocommerce_google_analytics_pro_property').prop('disabled', true);
      } else {
        $('#woocommerce_google_analytics_pro_tracking_id').closest('tr').hide();
        $('#woocommerce_google_analytics_pro_oauth_button').prop('disabled', false);
        return $('#woocommerce_google_analytics_pro_property').prop('disabled', false);
      }
    });
    $('.js-wc-google-analytics-pro-revoke-authorization').click(function(e) {
      var data;
      e.preventDefault();
      if (confirm(wc_google_analytics_pro.i18n.ays_revoke)) {
        $('#woocommerce_google_analytics_pro_oauth_button').closest('table').block({
          message: null,
          overlayCSS: {
            background: '#fff',
            opacity: 0.6
          }
        });
        data = {
          action: 'wc_google_analytics_pro_revoke_access',
          security: wc_google_analytics_pro.revoke_access_nonce
        };
        return $.post(wc_google_analytics_pro.ajax_url, data, function(response) {
          return window.location.reload();
        });
      }
    });
    wc_google_analytics_pro.auth_callback = function(token) {
      google_auth_window.close();
      $('#woocommerce_google_analytics_pro_oauth_button').closest('table').block({
        message: null,
        overlayCSS: {
          background: '#fff',
          opacity: 0.6
        }
      });
      return window.location.reload();
    };
    $("#woocommerce_google_analytics_pro_oauth_button").click(function(e) {
      var pHeight, pWidth, xPos, yPos;
      e.preventDefault();
      pWidth = 500;
      pHeight = 300;
      xPos = ($(window).width() - pWidth) / 2;
      yPos = ($(window).height() - pHeight) / 2;
      return google_auth_window = window.open(wc_google_analytics_pro.auth_url, 'google-login', 'location=1,menubar=1,resizable=1,width=' + pWidth + ',height=' + pHeight + ',left=' + xPos + ',top=' + yPos);
    });
    $('.wc-google-analytics-pro-funnel-steps').on('click', '.event a', function(e) {
      var href;
      e.preventDefault();
      href = $.attr(this, 'href');
      return $('html, body').animate({
        scrollTop: $(href).offset().top - 100
      }, 500, function() {
        window.location.hash = href;
        return $(href).focus();
      });
    });
    return $('#woocommerce_google_analytics_pro_event_names_section').nextAll('.form-table:first').on('change', 'input', function() {
      var event_key, event_name;
      event_key = $(this).prop('id').replace('woocommerce_google_analytics_pro_', '').replace('_event_name', '');
      event_name = $(this).val();
      return $('.wc-google-analytics-pro-funnel-steps').find('.event-' + event_key).each(function() {
        $(this).find('.name').text(event_name);
        if (!event_name) {
          $(this).find('.status-enabled').hide();
          return $(this).find('.status-disabled').css('display', 'block');
        } else {
          $(this).find('.status-enabled').css('display', 'block');
          return $(this).find('.status-disabled').hide();
        }
      });
    });
  });

}).call(this);


